# Generated by Django 2.2 on 2019-04-05 17:14

import django.contrib.postgres.fields.jsonb
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Session',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('spider', models.CharField(help_text='Name of spider format <category_folder>:<spider_file>', max_length=128)),
                ('started', models.DateTimeField()),
                ('finished', models.DateTimeField()),
            ],
        ),
        migrations.CreateModel(
            name='Site',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('url', models.CharField(max_length=256, unique=True)),
                ('desc', models.TextField(default='')),
            ],
        ),
        migrations.CreateModel(
            name='Page',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('url', models.CharField(help_text='Url without domain. You can find domain in site.url .', max_length=512, unique=True)),
                ('last_visit', models.DateTimeField(help_text='When spider was on the page in last time.')),
                ('site', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='goods.Site')),
            ],
        ),
        migrations.CreateModel(
            name='Goods',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('idx', models.CharField(help_text='ID or Slug.', max_length=256)),
                ('last_updated', models.DateTimeField(help_text='Datetime from Result.timestamp')),
                ('category', models.CharField(help_text='Name of category.', max_length=256)),
                ('data', django.contrib.postgres.fields.jsonb.JSONField(help_text='Last fresh data from scrapers.')),
                ('site', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='goods.Site')),
            ],
        ),
        migrations.CreateModel(
            name='Result',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('timestamp', models.DateTimeField(help_text='Datetime when data was read from page.')),
                ('data', django.contrib.postgres.fields.jsonb.JSONField(help_text='Data that was on the page.')),
                ('goods', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='goods.Goods')),
                ('page', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='goods.Page')),
                ('session', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='goods.Session')),
            ],
            options={
                'unique_together': {('session', 'page', 'goods')},
            },
        ),
    ]
